/*
 * tokens.h, part of defmake/defind:  more Newtware software!
 */

#define DEFIND_VERSION  "5, of 1 July 1991"   /* a symbol of our very own */

char  *tokens[] = {
/*
    "386i",        These guys choke some systems (e.g., Sun 4's and 
    "4D",          VMS VAXen), so they probably aren't defined on
    "4D20",        anybody...but leave 'em here just in case.
 */
#ifdef AppleIIgs	/* MPW IIGS C 1.01 */
    "MAX",		/* ...this is a real, live macro on many systems */
#endif
    "_ADDR32",		/* Cray */
    "AIX",
    "__AIX__",
    "aix",
    "ALLIANT",
    "__ALLIANT__",
    "alliant",
    "__ALLNU__",
    "AMDAHL",
    "__AMDAHL__",
    "amdahl",
    "AMIGA",
    "__AMIGA__",
    "amiga",
    "ANSI",
    "__ANSI__",
    "ansi",
    "AOSVS",
    "aosvs",
    "APOLLO",
    "__APOLLO__",
    "apollo",
    "APPLE",
    "__APPLE__",
    "apple",
    "applec",
    "AppleIIgs",
    "__APW__",
    "apw",
    "APW",		/* Apple Programmer's Workbench(?) */
    "AS400",
    "as400",
    "__ASSEMBLER__",	/* NeXT */
    "ATARI",
    "__ATARI__",
    "atari",
    "ATARI_ST",
    "AUX",
    "A_UX",
    "__AUX__",
    "__A_UX__",
    "a_ux",
    "aux",
    "AVIION",
    "__AVIION__",
    "aviion",
    "AZTEC",
    "__AZTEC__",
    "aztec",
    "__BCPLUSPLUS__",		/* Borland C++ 2.0 */
    "__BORLANDC__",		/* Borland C++ 2.0 */
    "__BSD__",
    "bsd",
    "BSD",		/* only in <sys/param.h>? */
    "BSD4_0",
    "bsd4_0",
    "BSD4_1",
    "bsd4_1",
    "BSD4_2",
    "bsd4_2",		/* Ultrix, ... */
    "BSD4_3",
    "bsd4_3",
    "BSD4_4",
    "bsd4_4",
    "CC$gfloat",	/* VMS */
    "CCI",
    "cci",
    "CC$mixed_float",
    "CC$parallel",	/* VMS */
    "CDC",
    "cdc",
    "__CDECL__",		/* Borland */
    "_CHAR_UNSIGNED",
    "__CHAR_UNSIGNED__",	/* NeXT (ANSI?) */
    "__CLASSIFY_TYPE__",
    "CM1",
    "CM_1",
    "cm1",
    "cm_1",
    "CM2",
    "CM_2",
    "cm2",
    "cm_2",
    "CMS",
    "__CMS__",
    "cms",
    "COHERENT",
    "coherent",
    "COMMODORE",
    "commodore",
    "__COMPACT__",		/* Borland */
    "CONVEX",
    "convex",
    "__cplusplus",		/* Borland C++ 2.0 */
    "CPM",
    "C_PM",
    "__CPM__",
    "__C_PM__",
    "c_pm",
    "cpm",
    "CRAY",
    "__CRAY__",
    "cray",
    "CRAY1",
    "CRAY2",
    "CYBER",
    "cyber",
    "DATAGENERAL",
    "datageneral",
    "DG",
    "dg",
    "DGUX",
    "DG_UX",
    "_DGUX_",
    "__DGUX__",
    "__DG_UX__",
    "dg_ux",
    "dgux",
    "DIAB",
    "__DIAB__",
    "diab",
    "_DLL",			/* MSC(?) */
    "__DLL__",			/* Borland */
    "dmert",
    "DNIX",
    "__DNIX__",
    "dnix",
    "DOLPHIN",
    "dolphin",
    "DOMAIN",
    "__DOMAIN__",
    "domain",
    "__DUMP__",
    "DYNIX",
    "__DYNIX__",
    "dynix",
    "ENCORE",
    "encore",
    "ETA",
    "__ETA__",
    "eta",
    "ETA10",
    "eta10",
    "ETA10P",
    "eta10p",
    "__EXTENSIONS__",	/* SGI */
    "_FASTMD",		/* Cray */
    "FPS",
    "fps",
    "GCOS",
    "__GCOS__",
    "gcos",
    "_GHS_",
    "ghs",
    "GIMPEL",
    "gimpel",
    "GNU",
    "__GNU__",
    "gnu",
    "__GNUC__",
    "GOULD",
    "gould",
    "HEURIKON",
    "heurikon",
    "HK68",
    "hk68",
    "host_mips",
    "HP",
    "__HP__",
    "hp",
    "HP9000",
    "hp9000",
    "HPUX",
    "HP_UX",
    "__HPUX__",
    "__HP_UX__",
    "hp_ux",
    "hpux",
    "__HUGE__",			/* Borland */
    "i386",
    "i386SX",
    "i386sx",
    "i486",
    "i486SX",
    "i486sx",
    "i80186",
    "i80286",
    "i8086",
    "i860",
    "i960",
    "iAPX186",
    "iAPX286",
    "iAPX86",
    "IBM",
    "__IBM__",
    "ibm",
    "IBM3090",
    "ibm3090",
    "IBMRT",
    "ibmrt",
    "INTERDATA",
    "interdata",
    "IRIS",
    "__IRIS__",
    "iris",
    "IRIX",
    "__IRIX__",
    "irix",
    "LANGUAGE_ASSEMBLY",	/* Ultrix, SGI */
    "_LANGUAGE_ASSEMBLY",	/* Ultrix, SGI */
    "LANGUAGE_C",		/* Ultrix, SGI */
    "_LANGUAGE_C",		/* Ultrix, SGI */
    "LANGUAGE_C_PLUS_PLUS",	/* SGI */
    "_LANGUAGE_C_PLUS_PLUS",	/* SGI */
    "__LARGE__",		/* Borland */
    "LATTICE",
    "__LATTICE__",
    "lattice",
    "LATTICE_C",
    "__LATTICE_C__",
    "M68000",
    "m68000",
    "M68010",
    "m68010",
    "M68020",
    "m68020",
    "M68030",
    "m68030",
    "M68040",
    "m68040",
    "_m68k_",
    "m68k",
    "M88000",
    "m88000",
    "M88100",
    "m88100",
    "_m88k_",
    "m88k",
    "MAC",
    "__MAC__",
    "mac",
    "MACH",
    "__MACH__",
    "mach",
    "MACINTOSH",
    "__MACINTOSH__",
    "macintosh",
    "MACOS",
    "MAC_OS",
    "__MACOS__",
    "__MAC_OS__",
    "mac_os",
    "macos",
    "MASSCOMP",
    "masscomp",
    "mc300",
    "mc500",
    "MC68000",
    "mc68000",		/* Suns, ... */
    "mc68010",
    "mc68020",
    "mc68030",
    "mc68040",
    "mc6881",
    "mc68k",
    "mc700",
    "mc88k",
    "__MEDIUM__",		/* Borland */
    "MERT",
    "mert",
    "M_I286",		/* MSC/Intel */
    "M_I8086",
    "M_I86",
    "M_I86CM",
    "M_I86HM",
    "M_I86LM",
    "M_I86MM",
    "M_I86SM",
    "M_I86TM",
    "MINIX",
    "__MINIX__",
    "minix",
    "mips",		/* SGI Iris 4D, ... */
    "MIPS",		/* DEC 58xx/Ultrix, ... */
    "MIPSEB",		/* SGI Iris 4D, ... */
    "_MIPSEB",		/* "B" == big-endian */
    "MIPSEL",		/* DEC 58xx/Ultrix, ... */
    "_MIPSEL",		/* "L" == little-endian */
    "MIS",
    "mis",
    "__MPW__",
    "mpw",
    "MPW",		/* Mac Programmer's Workbench */
    "MSC",
    "__MSC__",
    "msc",
    "_MSC_VER",
    "msdos",
    "MSDOS",		/* MSC */
    "__MSDOS__",	/* Turbo C */
    "_MT",		/* MSC(?) */
    "MTS",
    "__MTS__",
    "mts",
    "MTXINU",
    "MT_XINU",
    "__MTXINU__",
    "__MT_XINU__",
    "mt_xinu",
    "mtxinu",
    "MULTIMAX",
    "__MULTIMAX__",
    "multimax",
    "MVS",
    "__MVS__",
    "mvs",
    "MWC",
    "__MWC__",
    "mwc",
    "M_XENIX",
    "NEXT",
    "NeXT",
    "__NEXT__",
    "__NeXT__",
    "next",
    "NO_EXT_KEYS",
    "NOS",
    "__NOS__",
    "nos",
    "ns16000",
    "ns32000",
    "nsc32000",
    "__OBJC__",		/* NeXT */
    "_OPTIMIZE_",
    "__OPTIMIZE__",	/* NeXT */
    "__ORCAC__",
    "OS",
    "__OS__",
    "os",
    "OS2",
    "__OS2__",
    "os2",
    "OSX",
    "OSx",
    "__OSX__",
    "osx",
    "__OVERLAY__",		/* Borland */
    "__PAGE__",
    "__PASCAL__",		/* Borland */
    "PDP11",
    "pdp11",
    "PN9000",
    "pn9000",
    "POSIX",
    "__POSIX__",
    "posix",
    "_POSIX_SOURCE",	/* Ultrix(?) */
    "PYR",
    "pyr",		/* Pyramid */
    "PYRAMID",
    "pyramid",
    "RAND",
    "rand",
    "RES",
    "__RES__",
    "res",
    "__REV__",
    "RISC",
    "__RISC__",
    "risc",
    "RSTS",
    "__RSTS__",
    "rsts",
    "RSX",
    "__RSX__",
    "rsx",
    "RT",
    "__RT__",
    "rt",
    "RT11",
    "__RT11__",
    "rt11",
    "S5R2",
    "s5r2",
    "S5R3",
    "s5r3",
    "S5R4",
    "s5r4",
    "SVR2",
    "_SVR2",
    "SVR3",		/* SGI */
    "_SVR3",		/* SGI */
    "SVR4",
    "_SVR4",
    "SCO",
    "__SCO__",
    "sco",
    "SCS",
    "scs",	/* Symmetric */
    "__SEG__",
    "SEQUENT",
    "sequent",
    "SGI",
    "_SGI",
    "__SGI__",
    "sgi",
    "SGI4D",
    "sgi4D",
    "SGI4D20",
    "sgi4D20",
    "SINIX",
    "__SINIX__",
    "sinix",
    "__SMALL__",		/* Borland */
    "SPARC",
    "__SPARC__",
    "sparc",
    "SPERRY",
    "sperry",
    "SS1",
    "ss1",
    "SS1PLUS",
    "ss1plus",
    "SS2",
    "ss2",
    "STDC",
    "__STDC__",
    "stdc",
    "STELLAR",
    "stellar",
    "_STRICT_ANSI",
    "__STRICT_ANSI__",
    "__STRICT_BSD__",
    "SUN",
    "__SUN__",
    "sun",
    "sun386",
    "sun386i",
    "SUNOS",
    "SunOS",
    "__SUNOS__",
    "__SunOS__",
    "sunos",
    "SUNOS3",
    "SUNOS4",
    "SYS5",
    "sys5",
    "SYSTEM5",
    "system5",
    "SYSTEM_FIVE",
    "system_five",
    "SystemV",
    "SYSTYPE_BSD",
    "_SYSTYPE_BSD",
    "SYSTYPE_SYSV",		/* SGI Iris 4D */
    "_SYSTYPE_SYSV",
    "SYSV",
    "SysV",
    "sysv",
    "TAHOE",
    "__TAHOE__",
    "tahoe",
    "__TCPLUSPLUS__",		/* Borland C++ 2.0 */
    "THINK_C",
    "__TIMESTAMP__",
    "__TINY__",			/* Borland */
    "TRITON",
    "TRITON88",
    "triton",
    "triton88",
    "TSS",
    "__TSS__",
    "tss",
    "__TURBOC__",
    "U370",
    "u370",
    "U3B",
    "u3b",
    "U3B1",
    "u3b1",
    "U3B15",
    "u3b15",
    "U3B2",
    "u3b2",
    "U3B20",
    "u3b20",
    "U3B200",
    "u3b200",
    "U3B20d",
    "u3b20d",
    "U3B400",
    "u3b400",
    "U3B5",
    "u3b5",
    "ULTRIX",
    "__ULTRIX__",
    "ultrix",
    "UMIPS",
    "__UMIPS__",
    "umips",
    "_UNICOS",		/* Cray */
    "UNIPLUS",
    "__UNIPLUS__",
    "uniplus",
    "UNISYS",
    "unisys",
    "UNIVAC",
    "univac",
    "UNIX",
    "__UNIX__",
    "_unix_",
    "unix",		/* damn near everybody */
    "USG",
    "__USG__",
    "usg",
    "__UTS__",
    "uts",
    "UTS",		/* Amdahl */
    "V7",
    "__V7__",
    "v7",
    "VAX",
    "__VAX__",
    "vax",
    "VAX11C",
    "__VAX11C__",
    "vax11c",
    "VAXC",
    "__VAXC__",
    "vaxc",
    "VENIX",
    "__VENIX__",
    "venix",
    "VERSION",
    "__VERSION__",
    "version",
    "VM",
    "__VM__",
    "vm",
    "VMS",
    "__VMS__",
    "vms",
    "VMS_VERSION",
    "vms_version",
    "VPIX",
    "__VPIX__",
    "vpix",
    "WD65816",
    "_WINDOWS",			/* Borland */
    "XENIX",
    "__XENIX__",
    "xenix",
    "XENIX286",
    "__XENIX286__",
    "xenix286",
    "XENIX386",
    "__XENIX386__",
    "xenix386",
    "XINU",
    "__XINU__",
    "xinu",
    "XOPEN",
    "__XOPEN__",
    "_XOPEN_SOURCE",	/* Ultrix(?) */
    "XTI",
    "xti",
    "Z80",
    "z80",
    "Z800",
    "z800",
    "Z8000",
    "z8000",
    "ZEUS",
    "__ZEUS__",
    "zeus",
    "ZILOG",
    "__ZILOG__",
    "zilog",
    "ZORTECH",
    "__ZORTECH__",
    "zortech",
    "ZORTECH_C",
    "__ZORTECH_C__"
};

char  *standard[] = {
    "__FILE__",
    "__LINE__",
    "__DATE__",
    "__TIME__"
};


/*---------------------------------------------------------------------------
  Information from Mark Adler which complements the above (all but the first
  four have been included):

  These are ANSI macros:

  __FILE__	current input file as a string constant
  __LINE__	current line a decimal integer
  __DATE__	current date as a string, e.g. "Mar 28 1991"
  __TIME__	current time as a string, e.g. "20:03:32"
  __STDC__	the constant 1

  These are Gnu C extensions to that:

  __GNUC__	     defined if the preproccesor knows it's feeding gnu c
  __STRICT_ANSI__    defined if -ansi switch given (kills non-ansi in .h files)
  __VERSION__	     version of the compiler as a string
  __OPTIMIZE__	     defined if -O given (used by .h's for alternate macros)
  __CHAR_UNSIGNED__  defined if char's are unsigned (only used by limit.h)

  These are NeXT additions:

  __OBJC__	  defined if compiling Objective-C (.m) source
  __GNU__	  defined if compiling .m, .c, or .s files
  __ASSEMBLER__	  defined if compiling (assembling) .s files
  __STRICT_BSD__  defined if -bsd specified (affects .h files)
  __MACH__	  defined if Mach system calls supported

  Nonstandard macros:

  unix		defined on Unix systems
  BSD		defined on Berkeley 4.3 systems
  mc68000	defined on (most) 68K based machines
  NeXT		defined on the NeXT

  (the above macros are not defined if -ansi specified, since they don't
  conform to the ANSI standard for predefined macros. i.e. starting with
  two underscores)

  ---------------------------------------------------------------------------*/
